/*
 * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 */

package ru.ulstu.extractor.model.mvc;

import org.springframework.data.domain.Page;
import ru.ulstu.extractor.model.Commit;

public class FilterForm {
    private String filter;
    private String url;
    private String branch;
    private String author;
    private Page<Commit> commitsPage;

    public FilterForm() {
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public FilterForm(String url) {
        this.url = url;
    }

    public String getFilter() {
        return filter;
    }

    public void setFilter(String filter) {
        this.filter = filter;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getBranch() {
        return branch;
    }

    public void setBranch(String branch) {
        this.branch = branch;
    }

    public Page<Commit> getCommitsPage() {
        return commitsPage;
    }

    public void setCommitsPage(Page<Commit> commitsPage) {
        this.commitsPage = commitsPage;
    }

    @Override
    public String toString() {
        return "FilterForm{" +
                "subject='" + filter +
                '}';
    }
}
